/*Theme Dark Deep Orange Styles*/
$app-primary-dark-deep-orange: #ff5722 !default;
$secondary-dark-deep-orange: #40C4FF;

$sidebar-dark-deep-orange: #252525 !default;
$sidebar-text-dark-deep-orange: #a1a1a1 !default;
$sidebar-darken-deep-orange: darken($sidebar-dark-deep-orange, 3%);

// Links
$link-hover-dark-deep-orange: $white;

//-Base-scss
.dark-deep-orange .right-arrow {
  color: $app-primary-dark-deep-orange;
  &:after {
    color: $app-primary-dark-deep-orange;
  }
}

//- Bootstrap file Style
.dark-deep-orange {
  & a,
  & a.text-primary {
    color: $app-primary-dark-deep-orange;
    &:focus,
    &:hover {
      color: darken($app-primary-dark-deep-orange, 10%);
    }
  }

  & .text-primary {
    color: $app-primary-dark-deep-orange !important;
  }

  & .page-link {
    color: $app-primary-dark-deep-orange;
    &:focus,
    &:hover {
      color: $app-primary-dark-deep-orange;
    }
  }

  & .bg-primary,
  & .badge-primary {
    background-color: $app-primary-dark-deep-orange !important;
    color: $link-hover-dark-deep-orange !important;
  }

  & .btn-primary {
    background-color: $app-primary-dark-deep-orange;
    border-color: $app-primary-dark-deep-orange;
    color: $link-hover-dark-deep-orange;

    &:hover,
    &:focus,
    &:active {
      background-color: darken($app-primary-dark-deep-orange, 5%) !important;
      border-color: darken($app-primary-dark-deep-orange, 5%) !important;
      color: $link-hover-dark-deep-orange !important;
    }
  }

  & .bg-primary {
    &.lighten-4 {
      background-color: #ffccbc !important;
    }

    &.lighten-3 {
      background-color: #ffab91 !important;
    }

    &.lighten-2 {
      background-color: #ff8a65 !important;
    }

    &.lighten-1 {
      background-color: #ff7043 !important;
    }

    &.darken-1 {
      background-color: #f4511e !important;
    }

    &.darken-2 {
      background-color: #e64a19 !important;
    }

    &.darken-3 {
      background-color: #d84315 !important;
    }

    &.darken-4 {
      background-color: #bf360c !important;
    }

    &.accent-1 {
      background-color: #ff9e80 !important;
    }

    &.accent-2 {
      background-color: #ff6e40 !important;
    }

    &.accent-3 {
      background-color: #ff3d00 !important;
    }

    &.accent-4 {
      background-color: #dd2c00 !important;
    }
  }
}

//Secondary
.dark-deep-orange {
  & a.text-secondary {
    color: $secondary-dark-deep-orange;
    &:focus,
    &:hover {
      color: darken($secondary-dark-deep-orange, 10%) !important;
    }
  }

  & .text-secondary {
    color: $secondary-dark-deep-orange !important;
  }

  & .bg-secondary,
  & .badge-secondary {
    background-color: $secondary-dark-deep-orange !important;
    color: $link-hover-dark-deep-orange !important;
  }

  & .btn-secondary {
    background-color: $secondary-dark-deep-orange;
    border-color: $secondary-dark-deep-orange;
    color: $link-hover-dark-deep-orange;

    &:hover,
    &:focus,
    &:active {
      background-color: darken($secondary-dark-deep-orange, 5%) !important;
      border-color: darken($secondary-dark-deep-orange, 5%) !important;
      color: $link-hover-dark-deep-orange !important;
    }
  }
}

//_header.scss
.dark-deep-orange .app-main-header {
  background-color: $app-primary-dark-deep-orange !important;

  & .search-bar input {
    background-color: lighten($app-primary-dark-deep-orange, 5%);

    &:focus {
      background-color: $white;
    }
  }

  & .search-dropdown input {
    @media screen and (max-width: 575px) {
      background-color: $white;
    }
  }
}

//_right-sidebar.scss
.dark-deep-orange .color-theme-header {
  background-color: $app-primary-dark-deep-orange;

}

//_sidebar.scss
.dark-deep-orange .side-nav {
  background-color: $sidebar-dark-deep-orange !important;
  color: $sidebar-text-dark-deep-orange !important;
  @include box-shadow(none);

  & .user-profile {
    background-color: $sidebar-darken-deep-orange;
    @include box-shadow(none);
    position: relative;
    z-index: 2;
  }

  & .customizer {
    border-bottom: 0 none;
  }

  & .user-detail {
    & .user-name {
      color: $link-hover-dark-deep-orange;
    }
  }
}

.dark-deep-orange ul.nav-menu li a {
  color: $sidebar-text-dark-deep-orange;
}

.dark-deep-orange ul.nav-menu {
  & .nav-header {
    color: $sidebar-text-dark-deep-orange;
  }
}

.dark-deep-orange ul.nav-menu > li.open > a,
.dark-deep-orange ul.nav-menu > li > a:hover,
.dark-deep-orange ul.nav-menu > li > a:focus {
  background-color: $sidebar-darken-deep-orange;
  color: $link-hover-dark-deep-orange;
}

.dark-deep-orange ul.nav-menu li.menu.open > a {
  border-color: $app-primary-dark-deep-orange;
}

.dark-deep-orange ul.nav-menu li.menu > a:focus:before,
.dark-deep-orange ul.nav-menu li.menu > a:hover:before {
  color: $link-hover-dark-deep-orange;
}

.dark-deep-orange ul.nav-menu li ul {
  background-color: $sidebar-darken-deep-orange;
}

.dark-deep-orange ul.nav-menu li.menu > a:before {
  color: $sidebar-text-dark-deep-orange;
}

.dark-deep-orange ul.nav-menu li.menu.open > a:before,
.dark-deep-orange ul.nav-menu li.menu > a:focus:before,
.dark-deep-orange ul.nav-menu li.menu li > a:hover:before {
  color: $link-hover-dark-deep-orange;
}

.dark-deep-orange ul.nav-menu li.menu .sub-menu li > a:before {
  color: $sidebar-text-dark-deep-orange;
}

.dark-deep-orange ul.nav-menu li.menu.open .sub-menu li > a.active {
  background-color: $sidebar-darken-deep-orange;
  color: $link-hover-dark-deep-orange;
}

.dark-deep-orange ul.nav-menu li.menu .sub-menu li > a:hover,
.dark-deep-orange ul.nav-menu li.menu .sub-menu li > a:focus,
.dark-deep-orange ul.nav-menu li.menu.open .sub-menu li > a.active:before,
.dark-deep-orange ul.nav-menu li.menu .sub-menu li > a:focus:before,
.dark-deep-orange ul.nav-menu li.menu .sub-menu li > a:hover:before {
  background-color: $sidebar-darken-deep-orange;
  color: $link-hover-dark-deep-orange;
}

//_app-module.scss
.dark-deep-orange .module-nav {
  & li a {
    &.active {
      border-color: $app-primary-dark-deep-orange;
    }
  }
}

//_calendar.scss
.dark-deep-orange .rbc-event {
  background-color: $app-primary-dark-deep-orange;
}

.dark-deep-orange .rbc-event.rbc-selected {
  background-color: darken($app-primary-dark-deep-orange, 10%);
}

.dark-deep-orange .rbc-slot-selection {
  background-color: rgba($app-primary-dark-deep-orange, 0.7);
}

.dark-deep-orange .rbc-toolbar button:active,
.dark-deep-orange .rbc-toolbar button.rbc-active {
  background-color: rgba($app-primary-dark-deep-orange, 0.9);
  border-color: $app-primary-dark-deep-orange;
}

.dark-deep-orange .rbc-toolbar button:active:hover,
.dark-deep-orange .rbc-toolbar button.rbc-active:hover,
.dark-deep-orange .rbc-toolbar button:active:focus,
.dark-deep-orange .rbc-toolbar button.rbc-active:focus {
  background-color: rgba($app-primary-dark-deep-orange, 0.9);
  border-color: $app-primary-dark-deep-orange;
}

.dark-deep-orange .rbc-toolbar button:focus {
  background-color: rgba($app-primary-dark-deep-orange, 0.9);
  border-color: $app-primary-dark-deep-orange;
}

.dark-deep-orange .rbc-toolbar button:hover {
  background-color: rgba($app-primary-dark-deep-orange, 0.9);
  border-color: $app-primary-dark-deep-orange;
}

//_chat.scss
.dark-deep-orange .chat-sidenav-title {
  color: $app-primary-dark-deep-orange;
}

.dark-deep-orange .chat-user-item {
  &.active,
  &:hover {
    background-color: lighten($app-primary-dark-deep-orange, 76%);
  }
}

//_dashboard.scss
.dark-deep-orange .contact-list {
  & i {
    color: $app-primary-dark-deep-orange;
  }
}

//The link which when clicked opens the collapsable ChatUserList
.dark-deep-orange .Collapsible__trigger {
  background: $app-primary-dark-deep-orange;
}

.dark-deep-orange .categories-list {
  & li a:focus,
  & li a:hover,
  & li.active a {
    color: $app-primary-dark-deep-orange;
  }
}

//_login.scss
.dark-deep-orange .login-content .form-control {
  &:focus {
    border-color: $app-primary-dark-deep-orange;
  }
}

//_portfolio.scss
.dark-deep-orange .filter-with-bg-color ul li {
  & a {
    border-color: $app-primary-dark-deep-orange;

    &:hover,
    &:focus,
    &.active {
      background-color: $app-primary-dark-deep-orange;
    }
  }
}

//_card.scss
.dark-deep-orange .profile-intro {
  & .icon {
    color: $app-primary-dark-deep-orange;
  }
}

.dark-deep-orange .social-link {
  & li.active a,
  & li a:hover,
  & li a:focus {
    color: $secondary-dark-deep-orange;
  }
}

//_tables.scss
.dark-deep-orange .actions {
  color: $secondary-dark-deep-orange;
}

.dark-deep-orange .table-hover tbody tr:hover {
  background-color: rgba($app-primary-dark-deep-orange, 0.075);
}

//Border Color

.dark-deep-orange .border-primary {
  border-color: $app-primary-dark-deep-orange !important;
}

// login page content

.dark-deep-orange .app-logo-content {
  background-color: $app-primary-dark-deep-orange;
}

.dark-deep-orange .app-social-block {
  & .social-link button {
    border: solid 1px $app-primary-dark-deep-orange;
    color: $app-primary-dark-deep-orange;

    &:hover,
    &:focus {
      color: $white;
      background-color: $app-primary-dark-deep-orange;
    }
  }
}